<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_countdown_';
?>
<div class="ipbar-fields-countdown">
    <?php
    //Target Date
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>target_date"><?php _e( 'Target Date', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
        
            <?php
            $date = $setting->getSetting( $key . 'target_date', current_time( 'Y/m/d' ) );
            $time = $setting->getSetting( $key . 'target_time', current_time( 'H:i' ) );
            ?>
            <div class="ipbe-input-group mr5">
                <input type="text" value="<?php echo $date; ?>" name="<?php echo $key; ?>target_date" class="ipbe-input ipbe-input-sm ipbar-date-picker" id="<?php echo $key; ?>target_date" readonly>
                <div class="ipbe-input-addon"><i class="ibe ibe-calendar"></i></div>
            </div>
            @
            <div class="ipbe-input-group ml5">
                <input type="text" value="<?php echo $time; ?>" name="<?php echo $key; ?>target_time" class="ipbe-input ipbe-input-xs ipbar-time-picker" id="<?php echo $key; ?>target_time" readonly>
                <div class="ipbe-input-addon"><i class="ibe ibe-clock-o"></i></div>
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'Target date of your countdown.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input message
    ?>
    <div class="ipbe-field-row ipbe-field-y ipbe-help-abs">
        <div class="ipbe-form-label">
            <label for="<?php echo $key; ?>message"><?php _e( 'Message', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field">
            <textarea id="<?php echo $key; ?>message" class="ipbe-input ipbe-input-full" name="<?php echo $key; ?>message"><?php echo $setting->getSetting( $key . 'message' ); ?></textarea>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'Message of the countdown.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Format
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>format"><?php _e( 'Format', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select id="<?php echo $key; ?>format" name="<?php echo $key; ?>format">
            <?php 
            $format  = $setting->getSetting( $key . 'format', 'd_h_i_s' );
            $formats = array(
                'y_m_d_h_i_s'  => __( 'Year Month Days Hours Minutes Seconds', 'wp_combo_bar' ),
                'y_m_d_h_i'    => __( 'Year Month Days Hours Minutes', 'wp_combo_bar' ),
                'y_m_d_h'      => __( 'Year Month Days Hours', 'wp_combo_bar' ),
                'y_m_d'        => __( 'Year Month Days', 'wp_combo_bar' ),
                'm_d_h'        => __( 'Month Days Hours', 'wp_combo_bar' ),
                'd_h_i_s'      => __( 'Days Hours Minutes Seconds', 'wp_combo_bar' ),
                'd_h_i'        => __( 'Days Hours Minutes', 'wp_combo_bar' ),
                'h_mi_s'       => __( 'Hours Minutes Seconds', 'wp_combo_bar' ),
                'w_d_h_i_s'    => __( 'Week Days Hours Minutes Seconds', 'wp_combo_bar' )
            );
            foreach( $formats as $skey => $label ) {
                $sltd = '';
                if ( $skey == $format ) {
                    $sltd = ' selected="selected"';
                }
                echo '<option value="' . $skey . '"' . $sltd . '>' . $label . '</option>';
            }
            ?>
            </select>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
             <?php _e( 'Format of the date of the countdown.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <h4 class="ipbe-field-title mb0 py10">
        <?php _e( 'Design', 'wp_combo_bar' ); ?>
    </h4>
            
    <?php
    //Background Color
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>bgcolor"><?php _e( 'Background Color', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>bgcolor" name="<?php echo $key; ?>bgcolor" value="<?php echo $setting->getSetting( $key . 'bgcolor', '#333333' ); ?>" />
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Background color of the countdown.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Font Family
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>font_family"><?php _e( 'Font Family', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <?php
            $current = $setting->getSetting( $key . 'font_family', 'roboto' );
            $fonts   = IPBar_Font::getOptions();
            $fname   = IPBar_Font::getFontName( $current );
            ?>
            <span class="ipbe-font-family">
                <div class="ipbe-menu ipbe-fancy-option">
                    <div class="ipbe-selected">
                        <div class="ipbe-selected-box">
                            <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                        </div>
                        <span class="toggle"></span>
                    </div>
                    <div class="ipbe-select" style="display: none;">
                        <div class="ipbe-select-content">
                            <ul class="clearfix">
                                <?php 
                                foreach( $fonts as $fkey => $label ) :
                                ?>
                                    <li data-select="<?php echo $fkey; ?>">
                                        <strong class="ipbe-select-label">
                                            <?php echo $label; ?>
                                        </strong>
                                    </li>
                                <?php
                                endforeach;
                                ?>
                            </ul>
                        </div>
                    </div>
                    <input type="hidden" name="<?php echo $key; ?>font_family" class="ipbe-input-select" value="<?php echo $current; ?>" />
                </div>
            </span>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The font family of the text in your countdown.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Color
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>color"><?php _e( 'Text Color', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>color" name="<?php echo $key; ?>color" value="<?php echo $setting->getSetting( $key . 'color', '#ffffff' ); ?>" />
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The text color of the countdown.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Border
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>border_width"><?php _e( 'Border', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            <div class="ipbe-input-group mr5">
                <?php
                $bowidth = $setting->getSetting( $key . 'border_width', 2 );
                $bocolor = $setting->getSetting( $key . 'border_color', '#222222' );
                ?>
                <input type="text" id="<?php echo $key; ?>border_width" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>border_width" value="<?php echo $bowidth; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            <input type="text" class="ipbar-color-picker" id="<?php echo $key; ?>border_color" name="<?php echo $key; ?>border_color" value="<?php echo $bocolor; ?>" />
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The border that surrounds the countdown.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <?php
    //Border radius
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-4 col-sm-12">
            <label for="<?php echo $key; ?>border_radius"><?php _e( 'Border Radius', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-8 col-sm-12">
            
            <select name="<?php echo $key; ?>border_radius" id="<?php echo $key; ?>border_radius">
                <?php
                $current = $setting->getSetting( $key . 'border_radius', 'none' );
                $styles  = array(
                    'none' => __( 'None', 'wp_combo_bar' ),
                    'sm'   => __( 'Small', 'wp_combo_bar' ),
                    'md'   => __( 'Medium', 'wp_combo_bar' ),
                    'lg'   => __( 'Large', 'wp_combo_bar' )
                );
                foreach( $styles as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The border radius of the countdown.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
</div>
