<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_logo_';
?>
<div class="ipbar-fields-logo">
    <?php
    //Input Image
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>image"><?php _e( 'Image Logo', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <div class="ipbe-upload-image ipbe-clear">
                <div class="ipbe-upload-preview">
                    <?php
                    $setimg = false;
                    if ( $setting ) {
                        if ( $attach_id = $setting->getSetting( $key . 'image' ) ) {
                            $setimg = true;
                            $data   = wp_get_attachment_image_src( $attach_id, 'thumbnail' );
                        }
                    }
                    if ( $setimg ) {
                        echo '<div class="image"><img src="' . $data[0] . '" /></div>';
                        echo '<div class="none ipbe-hide">' . __( 'No image', 'wp_combo_bar' ) . '</div>';
                        $reset_dsp = '';
                    } else {
                        echo '<div class="image"></div>';
                        echo '<div class="none">' . __( 'No image', 'wp_combo_bar' ) . '</div>';
                        $reset_dsp = ' style="display:none;"';
                    }
                    ?>
                </div>
                
                <div class="ipbe-image-field">
                    <div class="ipbe-select-image">
                        <p class="mt0"><?php _e( 'Select an image or upload new image using the button below.', 'wp_combo_bar' ); ?></p>
                        <a class="ipbe-btn ipbe-btn-primary ipbe-btn-media ipbe-btn-sm" data-choose="<?php esc_attr_e( 'Choose Photo' ); ?>"
                          data-update="<?php esc_attr_e( 'Choose photo' ); ?>">
                            <i class="ibe ibe-image"></i>
                            <?php _e( 'Select Photo', 'wp_combo_bar' ); ?>
                        </a>
                        <a class="ipbe-btn ipbe-btn-reset ipbe-btn-sm" href="#"<?php echo $reset_dsp; ?>>
                            <i class="ibe ibe-ban"></i>
                            <?php _e( 'Clear Photo', 'wp_combo_bar' ); ?>
                        </a>
                    </div>
                    <input type="hidden" name="upload_type" class="ipbe-upload-type" value="<?php echo $key; ?>image" />
                    <input type="hidden" name="<?php echo $key; ?>image" class="ipbe-image-id" value="<?php echo $attach_id; ?>" />
                </div>
            </div>
        </div>
    </div>
    
    <h4 class="ipbe-field-title mb0 py10">
        <?php _e( 'Design Options', 'wp_combo_bar' ); ?>
    </h4>
    
    <?php
    //Input Size
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>width"><?php _e( 'Size', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $width = $setting->getSetting( $key . 'width' );
                ?>
                <div class="ipbe-input-addon">Width</div>
                <input type="text" id="<?php echo $key; ?>width" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>width" value="<?php echo $width; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            <span class="mx5">X</span>
            <div class="ipbe-input-group">
                <?php
                $height = $setting->getSetting( $key . 'height' );
                ?>
                <div class="ipbe-input-addon">Height</div>
                <input type="text" id="<?php echo $key; ?>height" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>height" value="<?php echo $height; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Set the size (in pixel) of the logo.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    
    <?php
    //Alignment
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>align"><?php _e( 'Alignment', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="<?php echo $key; ?>align" id="<?php echo $key; ?>align">
                <?php
                $current = $setting->getSetting( $key . 'align', 'left' );
                $aligns  = array(
                    'left'     => __( 'Left', 'wp_combo_bar' ),
                    'center'   => __( 'Center', 'wp_combo_bar' ),
                    'right'    => __( 'Right', 'wp_combo_bar' )
                );
                foreach( $aligns as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The alignment of the text content.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
    
    <h4 class="ipbe-field-title mb0 py10">
        <?php _e( 'Link Options', 'wp_combo_bar' ); ?>
    </h4>
    <?php
    //Input new window
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>link_active"><?php _e( 'Use Link in Logo', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( $key . 'link_active', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="<?php echo $key; ?>link_active" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Set whether to using link in logo.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    
    <?php
    //Input URL
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>link_url"><?php _e( 'Link URL', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <input type="text" id="<?php echo $key; ?>link_url" class="ipbe-input ipbe-input-full" name="<?php echo $key; ?>link_url" value="<?php echo $setting->getSetting( $key . 'link_url' ); ?>">
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'Set URL address of the link.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input new window
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>link_newwindow"><?php _e( 'Open in New Window', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( $key . 'link_newwindow', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="<?php echo $key; ?>link_newwindow" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
             <?php _e( 'Set whether to open the page in a new window when a link clicked.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
</div>
