<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_video_';
?>
<div class="ipbar-fields-video">
    <?php
    //Video URL
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>url"><?php _e( 'Youtube Video URL', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            <input type="text" id="<?php echo $key; ?>url" class="ipbe-input ipbe-input-full" name="<?php echo $key; ?>url" value="<?php echo $setting->getSetting( $key . 'url' ); ?>">
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                     <?php _e( 'Set URL for the youtube video.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input Size
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>width"><?php _e( 'Size', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $width = $setting->getSetting( $key . 'width' );
                ?>
                <div class="ipbe-input-addon">Width</div>
                <input type="text" id="<?php echo $key; ?>width" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>width" value="<?php echo $width; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            <span class="mx5">X</span>
            <div class="ipbe-input-group">
                <?php
                $height = $setting->getSetting( $key . 'height' );
                ?>
                <div class="ipbe-input-addon">Height</div>
                <input type="text" id="<?php echo $key; ?>height" class="ipbe-input ipbe-input-xxs" name="<?php echo $key; ?>height" value="<?php echo $height; ?>">
                <div class="ipbe-input-addon">px</div>
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Set the size (in pixel) of the youtube video.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input Start
    ?>
    <div class="ipbe-field-row ipbe-field-x ipbe-help-abs">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>start"><?php _e( 'Start time', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-input-group">
                <?php
                $start = $setting->getSetting( $key . 'start' );
                ?>
                <input type="text" id="<?php echo $key; ?>start" class="ipbe-input ipbe-input-xs" name="<?php echo $key; ?>start" value="<?php echo $start; ?>">
                <div class="ipbe-input-addon">second</div>
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Time in second for start time of your video. You set this value when you want to start the video not from the beginning.', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    <?php
    //Input autoplay
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>autoplay"><?php _e( 'Autoplay', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <div class="ipbe-btn-onoff mr10">
                <?php
                $val = $setting->getSetting( $key . 'autoplay', 'false' );
                if ( $val == 'false' ) {
                    $clon  = '';
                    $cloff = ' ipbe-btn-danger active';
                } else {
                    $clon  = ' ipbe-btn-success active';
                    $cloff = '';
                }
                ?>
                <div class="ipbe-btn-group">
                    <button data-value="true" class="ipbe-btn<?php echo $clon; ?> ipbe-btn-on" type="button"><?php _e( 'On', 'wp_combo_bar' ); ?></button>
                    <button data-value="false" class="ipbe-btn<?php echo $cloff; ?> ipbe-btn-off" type="button"><?php _e( 'Off', 'wp_combo_bar' ); ?></button>
                </div>
                <input type="hidden" class="ipbe-onoff-value" name="<?php echo $key; ?>autoplay" value="<?php echo $val; ?>" />
            </div>
            
             <div class="ipbe-help">
                 <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                 <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'Is the video automatically plays when the page is loaded?', 'wp_combo_bar' ); ?>
                 </div>
             </div>
        </div>
    </div>
    
    <?php
    //Alignment
    ?>
    <div class="ipbe-field-row ipbe-field-x">
        <div class="ipbe-form-label col-md-3 col-sm-12">
            <label for="<?php echo $key; ?>align"><?php _e( 'Alignment', 'wp_combo_bar' ); ?></label>
        </div>
        <div class="ipbe-field col-md-9 col-sm-12">
            
            <select name="<?php echo $key; ?>align" id="<?php echo $key; ?>align">
                <?php
                $current = $setting->getSetting( $key . 'align', 'left' );
                $aligns  = array(
                    'left'     => __( 'Left', 'wp_combo_bar' ),
                    'center'   => __( 'Center', 'wp_combo_bar' ),
                    'right'    => __( 'Right', 'wp_combo_bar' )
                );
                foreach( $aligns as $skey => $label ) {
                    $sltd = '';
                    if ( $skey == $current ) {
                        $sltd = ' selected="selected"';
                    }
                    echo '<option value="' . $skey . '"' . $sltd .'>'. $label .'</option>';
                }
                ?>
            </select>
            
            <div class="ipbe-help">
                <a class="ipbe-btn-help ipbe-btn ipbe-btn-default" href="#"><i class="ibe ibe-question"></i></a>
                <div class="ipbe-help-content ipbe-hide">
                    <?php _e( 'The alignment of the text content.', 'wp_combo_bar' ); ?>
                </div>
            </div>
        </div>
    </div>
</div>
