<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_facebook_feeds_';

//
//Get feeds
require_once( IPBAR_PATH . 'app/facebook/facebook.php' );
$pageid  = $setting->getSetting( $key . 'pageid' );
$count   = $setting->getSetting( $key . 'count', 5 );
$appid   = $setting->getSetting( $key . 'app_id' );
$app_s   = $setting->getSetting( $key . 'app_secret' );

$config  = array(
    'appId'      => $appid,
    'secret'     => $app_s,
    'fileUpload' => false
);
$facebook = @new Facebook($config);
$fbdata   = $facebook->api("/" . $pageid . "/feed?limit=" . $count );
$feeds    = array();
if ( ! empty( $fbdata['data'] )) {
    $feeds = $fbdata['data'];
}

//
//Get profile photo
$photo    = false;
$usePhoto = $setting->getSetting( $key . 'show_logo', 'false' );
if ( $usePhoto == 'true' ) {
    $fbpic = $facebook->api("/" . $pageid . "/picture?redirect=0&height=48&type=normal&width=48" );
    if ( ! empty( $fbpic['data'] ) && ! empty( $fbpic['data']['url'] )) {
        $photo = $fbpic['data']['url'];
    }
};

//
//Get style
$style   = ' style="';
//
//Font size
$font_size = absint( $setting->getSetting( $key . 'font_size', 14 ) );
$style  .= 'font-size:' . $font_size . 'px;';
//
//Font family
$family_name = $setting->getSetting( $key . 'font_family', 'roboto' );
$font_family = IPBar_Font::getFontName( $family_name );
$style  .= 'font-family:' . $font_family . ';';
//
//color
$color  = $setting->getSetting( $key . 'color', '#000000' );
$style .= 'color:' . $color . ';';
$style .= '"';
?>
<style>
    .ipbar_facebook_feeds a {
        color: <?php echo $setting->getSetting( $key . 'link_color', '#333333' ); ?>!important;
        <?php
        if ( $setting->getSetting( $key . 'link_underline', '#333333' ) == 'true' ) {
            echo 'text-decoration: underline!important;';
        }
        ?>
    }
    .ipbar_facebook_feeds a:hover {
        color: <?php echo $setting->getSetting( $key . 'link_hover_color', '#333333' ); ?>!important;
        <?php
        if ( $setting->getSetting( $key . 'link_hover_underline', '#000000' ) == 'true' ) {
            echo 'text-decoration: underline!important;';
        }
        ?>
    }
</style>
<div class="ipbar_content_type ipbar_facebook_feeds"<?php echo $style; ?>>
    <?php
    //
    //Get data
    $effect = $setting->getSetting( $key . 'slider_effect', 'slide' );
    $speed  = $setting->getSetting( $key . 'slider_speed', 1000 );
    $delay  = $setting->getSetting( $key . 'slider_delay', 5000 );
    $data   = ' data-effect=' . $effect . ' data-speed="' . $speed . '" data-delay="' . $delay . '"';
    ?>
    <div class="ipbar_facebook_feeds_slider"<?php echo $data; ?>>
        <div class="slides">
            <?php
            if ( ! empty( $feeds ) ) :
                foreach( $feeds as $feed ) :
                $class = 'ipbar_feed';
                if ( $photo ) {
                    $class .= ' ipbar_feed_wthumb';
                }
                ?>
                <div class="<?php echo $class; ?>">
                    <div class="ipbar_feed_inner clear">
                        <?php
                        if ( $photo ) :
                        ?>
                        <div class="ipbar_feed_thumb">
                            <img src="<?php echo $photo; ?>" alt="">
                        </div>
                        <?php
                        endif;
                        ?>
                        <div class="ipbar_feed_main">
                            <div class="ipbar_feed_text">
                                <?php  
                                $content = $feed['message'];
                                $content = preg_replace( 
                                    "/(?<!a href=\")((http|ftp)+(s)?:\/\/[^<>\s]+)/i", 
                                    "<a href=\"\\0\" target=\"blank\">\\0</a>", 
                                    $content
                                );
                                echo $content;
                                ?>
                            </div>
                            <div class="ipbar_feed_time">
                                <?php  
                                echo $this->time_elapsed_string( $feed['created_time'] );
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                endforeach;
            else :
            ?>
            <p><em><?php _e( 'No posts found.', 'wp_combo_bar' ); ?></em></p>
            <?php
            endif;
            ?>
        </div>
    </div>
</div>
