<?php
$setting = $this->type_setting;
$key     = 'column_' . $this->column . '_twitter_feeds_';

//
//Get tweets
require_once( IPBAR_PATH . 'app/TwitterOAuth/TwitterOAuth.php' );
$uname   = $setting->getSetting( $key . 'username' );
$count   = $setting->getSetting( $key . 'count', 5 );
$ckey    = $setting->getSetting( $key . 'key' );
$ckey_s  = $setting->getSetting( $key . 'secret_key' );
$token   = $setting->getSetting( $key . 'token' );
$token_s = $setting->getSetting( $key . 'token_secret' );
$twitter = new TwitterOAuth( $ckey, $ckey_s, $token, $token_s );
$tweets  = $twitter->get('statuses/user_timeline', array(
    'screen_name'       => $uname,
    'exclude_replies'   => 'true', 
    'include_rts'       => 'false', 
    'count'             => $count
));

//
//Get style
$style   = ' style="';
//
//Font size
$font_size = absint( $setting->getSetting( $key . 'font_size', 14 ) );
$style  .= 'font-size:' . $font_size . 'px;';
//
//Font family
$family_name = $setting->getSetting( $key . 'font_family', 'roboto' );
$font_family = IPBar_Font::getFontName( $family_name );
$style  .= 'font-family:' . $font_family . ';';
//
//color
$color  = $setting->getSetting( $key . 'color', '#000000' );
$style .= 'color:' . $color . ';';
$style .= '"';
?>
<style>
    .ipbar_twitter_feeds a {
        color: <?php echo $setting->getSetting( $key . 'link_color', '#333333' ); ?>!important;
        <?php
        if ( $setting->getSetting( $key . 'link_underline', '#333333' ) == 'true' ) {
            echo 'text-decoration: underline!important;';
        }
        ?>
    }
    .ipbar_twitter_feeds a:hover {
        color: <?php echo $setting->getSetting( $key . 'link_hover_color', '#333333' ); ?>!important;
        <?php
        if ( $setting->getSetting( $key . 'link_hover_underline', '#000000' ) == 'true' ) {
            echo 'text-decoration: underline!important;';
        }
        ?>
    }
</style>
<div class="ipbar_content_type ipbar_twitter_feeds"<?php echo $style; ?>>
    <?php
    //
    //Get data
    $usePhoto = $setting->getSetting( $key . 'show_logo', 'false' );
    $effect   = $setting->getSetting( $key . 'slider_effect', 'slide' );
    $speed    = $setting->getSetting( $key . 'slider_speed', 1000 );
    $delay    = $setting->getSetting( $key . 'slider_delay', 5000 );
    $data     = ' data-effect=' . $effect . ' data-speed="' . $speed . '" data-delay="' . $delay . '"';
    ?>
    <div class="ipbar_twitter_feeds_slider"<?php echo $data; ?>>
        <div class="slides">
            <?php
            if ( ! empty( $tweets ) ) :
                foreach( $tweets as $tweet ) :
                
                $photo = false;
                if ( $usePhoto == 'true' ) {
                    if ( ! empty( $tweet->user->profile_image_url )) {
                        $photo = $tweet->user->profile_image_url;
                    }
                };
                $class = 'ipbar_tweet';
                if ( $photo ) {
                    $class .= ' ipbar_tweet_wthumb';
                }
                ?>
                <div class="<?php echo $class; ?>">
                    <div class="ipbar_tweet_inner clear">
                        <?php
                        if ( $photo ) :
                        ?>
                        <div class="ipbar_tweet_thumb">
                            <img src="<?php echo $photo; ?>" alt="">
                        </div>
                        <?php
                        endif;
                        ?>
                        <div class="ipbar_tweet_main">
                            <div class="ipbar_tweet_text">
                                <?php  
                                //Access as an object
                                $tweetText = $tweet->text;

                                # Make links active
                                $tweetText = preg_replace("#(http://|(www.))(([^s<]{4,68})[^s<]*)#", '<a href="http://$2$3" target="_blank">$1$2$4</a>', $tweetText);

                                # Linkify user mentions
                                $tweetText = preg_replace("/@(w+)/", '<a href="http://www.twitter.com/$1" target="_blank">@$1</a>', $tweetText);

                                # Linkify tags
                                $tweetText = preg_replace("/#(w+)/", '<a href="http://search.twitter.com/search?q=$1" target="_blank">#$1</a>', $tweetText);
                                
                                echo $tweetText;
                                ?>
                            </div>
                            <div class="ipbar_tweet_time">
                                <?php  
                                echo $this->time_elapsed_string( $tweet->created_at );
                                ?>
                            </div>
                        </div>
                    </div>
                </div>
                <?php
                endforeach;
            else :
            ?>
            <p><em><?php _e( 'No tweets found.', 'wp_combo_bar' ); ?></em></p>
            <?php
            endif;
            ?>
        </div>
    </div>
</div>
